Parselv1.0.0
Shipping Labels

Track multiple labels by tracking codes

Track multiple shipping labels by providing an array of tracking codes (max 100).

POST
/track/bulk

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Bulk tracking request

Response Body

application/json

application/json

curl -X POST "https://api.parsel.app/track/bulk" \  -H "Content-Type: application/json" \  -d '{    "tracking_codes": [      "1Z999AA10123456784",      "1Z999AA10987654321",      "1Z999AA10111111111"    ]  }'
{
  "data": {
    "1Z999AA10123456784": [
      {
        "created_at": {},
        "message": "Arrived at facility",
        "status": "in_transit",
        "tracking_location": {
          "city": "Atlanta",
          "country": "US",
          "state": "GA",
          "zip": "30301"
        }
      }
    ]
  },
  "not_found": [
    "1Z999AA10987654321",
    "1Z999AA10111111111"
  ],
  "summary": {
    "found": 1,
    "not_found": 2,
    "total_requested": 3
  }
}
{
  "errors": {
    "message": "The request could not be processed",
    "reasons": [
      {
        "carrier": "UniUni",
        "message": "Zip code not serviced."
      }
    ],
    "status": "Unprocessable Entity"
  }
}